tlineto
Prev | Orchestra Opcodes and Operators | Next

## tlineto

tlineto — Generate glissandos starting from a control signal.

## Description

Generate glissandos starting from a control signal with a trigger.

## Syntax

    kres tlineto ksig, ktime, ktrig

## Performance

kres -- Output signal.

ksig -- Input signal.

ktime -- Time length of glissando in seconds.

ktrig -- Trigger signal.

tlineto is similar to lineto but can be applied to any kind of signal (not only stepped signals) without producing discontinuities. Last value of each segment is sampled and held from input signal each time ktrig value is set to a nonzero value. Normally ktrig signal consists of a sequence of zeroes (see trigger opcode).

The effect of glissando is quite different from port. Since in these cases, the lines are straight. Also the context of useage is different.

## See Also

lineto

## Credits

Author: Gabriel Maldonado

New in Version 4.13

Prev | Up | Next
tival | Home | tone